BLKPR(8)

NAME
blkpr - run persistent reservations command on a device

SYNOPSIS

blkpr [options] device

DESCRIPTION

blkpr is used to run persistent reservations command on device that supports Persistent Reservations feature.

The device argument is the pathname of the block device.

OPTIONS

-c, --command command
    The command of persistent reservations, supported commands are register, reserve, release, preempt, preempt-abort, and clear.

-k, --key key
    The key the command should operate on.

-K, --oldkey oldkey
    The old key the command should operate on.

-f, --flag flag
    Supported flag is ignore-key.

-t, --type type
    Supported types are write-exclusive, exclusive-access, write-exclusive-reg-only, exclusive-access-reg-only, write-exclusive-all-regs, and exclusive-access-all-regs.

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

AUTHORS

SEE ALSO

sg_persist(8)

Linux documentation at: iSCSI specification at: NVMe-oF specification at:

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The blkpr command is part of the util-linux package which can be downloaded from